mixin properties(list, settings = {})
  - const className = classes('properties', settings)
  #{settings.tag || 'div'}(class=className)&attributes(attributes)
    each item in list
      -
        const type = {}
        if (typeof item.type === 'string') type[item.type] = true;
        if (Array.isArray(item.type)) item.type.forEach((item) => type[item] = true);
        
      div(class= classes('properties__item', type))
        .properties__name !{item.name}
        if item.value
          .properties__value !{item.value}
